Bug 589966 - [abrt] crash in telepathy-butterfly-0.5.9-1.fc13: TLP.py:80:parse:error: unpack requires a string argument of length 48
[abrt] crash in telepathy-butterfly-0.5.9-1.fc13: TLP.py:80:parse:error: unpa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:6648c5d0
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 08:22 EDT by Pouzy
Modified: 2011-06-27 12:09 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (984 bytes, text/plain)
2010-05-07 08:22 EDT, Pouzy
no flags Details

  None (edit)
Description Pouzy 2010-05-07 08:22:05 EDT
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.3-79.fc13.i686.PAE
package: telepathy-butterfly-0.5.9-1.fc13
reason: TLP.py:80:parse:error: unpack requires a string argument of length 48
release: Fedora release 13 (Goddard)

backtrace
-----
TLP.py:80:parse:error: unpack requires a string argument of length 48

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/switchboard_manager.py", line 348, in _sb_message_received
    handler._on_message_received(message)
  File "/usr/lib/python2.6/site-packages/papyon/msnp2p/transport/switchboard.py", line 72, in _on_message_received
    chunk = MessageChunk.parse(message.body[:-4])
  File "/usr/lib/python2.6/site-packages/papyon/msnp2p/transport/TLP.py", line 176, in parse
    header = TLPHeader.parse(data[:48])
  File "/usr/lib/python2.6/site-packages/papyon/msnp2p/transport/TLP.py", line 80, in parse
    header = struct.unpack("<LLQQLLLLQ", header_data[:48])
error: unpack requires a string argument of length 48

Local variables in innermost frame:
header_data: '\x00\x00\x00\x00\xe5\xef_\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00r\xb6N\x08i\xd0\x18J\xa5\x02\x00\x00\x00\x00\x00'

How to reproduce
-----
1. Lancer empathy :)
2.
3.
Comment 1 Pouzy 2010-05-07 08:22:07 EDT
Created attachment 412327 [details]
File: backtrace
Comment 2 john 2010-05-30 07:23:13 EDT
Package: telepathy-butterfly-0.5.9-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Conecting Empathy client
Comment 3 Nick H 2010-05-30 14:42:45 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. disconnected and reconnected to MSN
2.
3.
Comment 4 T. ONAY 2010-06-07 01:07:38 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Just started my computer
2.
3.
Comment 5 T. ONAY 2010-06-07 11:08:24 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Just boot up
Comment 6 T. ONAY 2010-06-08 15:56:11 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Just boot up
Comment 7 Johan Vervloet 2010-06-09 04:16:02 EDT
Package: telepathy-butterfly-0.5.9-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I guess the crash had to do with powering my pc on without internet connection.  When I put in the cable, empathy didn't react,  and kept reporting connection problems.  I closed empathy, which - I guess - caused this crash.
Comment 8 T. ONAY 2010-06-12 06:36:59 EDT
Package: telepathy-butterfly-0.5.9-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Just boot up
2.Empathy starts automatically
3.
Comment 9 scumbag 2010-06-14 00:25:50 EDT
Package: telepathy-butterfly-0.5.9-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Comment 10 Alfredo Rubio 2010-06-14 17:41:19 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Changing the theme chat with a chat window open
Comment 11 Brian Pepple 2010-06-14 18:25:52 EDT
(In reply to comment #10)
> Package: telepathy-butterfly-0.5.10-1.fc13
> Architecture: x86_64
> OS Release: Fedora release 13 (Goddard)
> 
> 
> Comment
> -----
> Changing the theme chat with a chat window open    

Alfredo, could you test the latest Empathy in testing (empathy-2.30.1.1-1.fc13), I believe the crasher when changing adium themes is fixed in that version. You can test it by running:
su -c 'yum --enablerepo=updates-testing update empathy'

Thanks!
Comment 12 T. ONAY 2010-06-20 12:20:25 EDT
Package: telepathy-butterfly-0.5.10-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Boot
2.Automatic Empathy startup
3.
Comment 13 Mohammed Arafa 2010-06-22 01:54:20 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.abrt suddenly reported a crash, empathy still running
2.
3.
Comment 14 Matteo Cafarotti 2010-06-28 09:43:01 EDT
Package: telepathy-butterfly-0.5.11-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Started empathy , i was configuring my accounts
2.
3.
Comment 15 Ibrahim 2010-08-08 06:18:35 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. as soon as i open empathy client

Comment
-----
i get this error when i open empathy. only using windows live account. havent made any changes to my system. this is a clean install
Comment 16 Lancelot Mak 2010-09-22 02:16:43 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
just running
Comment 17 Lancelot Mak 2010-09-22 02:17:37 EDT
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
just running
Comment 18 Bug Zapper 2011-06-02 10:22:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2011-06-27 12:09:59 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.